Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.dto
Class OlapDataSourceWrapper

    java.lang.Object
      com.jaspersoft.jasperserver.war.dto.BaseDTO
          com.jaspersoft.jasperserver.war.dto.OlapDataSourceWrapper

All Implemented Interfaces:
  java.io.Serializable

    public class OlapDataSourceWrapper

extends BaseDTO
implements java.io.Serializable

OlapDataSourceWrapper provides the wrapper for the OlapDataSourceAction object

Author:
  jshih
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.war.dto.BaseDTO
`MODE_STAND_ALONE_EDIT, MODE_STAND_ALONE_NEW, MODE_SUB_FLOW_EDIT, MODE_SUB_FLOW_NEW`

Constructor Summary
`OlapDataSourceWrapper()`

Method Summary
`java.util.List` | `getAllDatasources()`
`java.util.List` | `getAllTypes()`
`ReportDataSource` | `getOlapDataSource()`
`byte` | `getParentMode()`
`java.lang.String` | `getSelectedUri()`
`java.lang.String` | `getSource()`
`java.lang.String` | `getType()`
`boolean` | `isLookup()`
`void` | `setAllDatasources(java.util.List allDatasources)`
`void` | `setAllTypes(java.util.List allTypes)`
`void` | `setLookup(boolean lookup)`
`void` | `setOlapDataSource(ReportDataSource olapDataSource)`
`void` | `setParentMode(byte parentMode)`
`void` | `setSelectedUri(java.lang.String selectedUri)`
`void` | `setSource(java.lang.String source)`
`void` | `setType(java.lang.String type)`

Methods inherited from class com.jaspersoft.jasperserver.war.dto.BaseDTO
`getMode, isAloneEditMode, isAloneNewMode, isEditMode, isNewMode, isStandAloneMode, isSubEditMode, isSubflowMode, isSubNewMode, setMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OlapDataSourceWrapper

    public OlapDataSourceWrapper()

Method Detail

### isLookup

    public boolean isLookup()

### setLookup

    public void setLookup(boolean lookup)

### getSource

    public java.lang.String getSource()

### setSource

    public void setSource(java.lang.String source)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### getAllDatasources

    public java.util.List getAllDatasources()

### setAllDatasources

    public void setAllDatasources(java.util.List allDatasources)

### getAllTypes

    public java.util.List getAllTypes()

### setAllTypes

    public void setAllTypes(java.util.List allTypes)

### getOlapDataSource

    public ReportDataSource getOlapDataSource()

### setOlapDataSource

    public void setOlapDataSource(ReportDataSource olapDataSource)

### getSelectedUri

    public java.lang.String getSelectedUri()

### setSelectedUri

    public void setSelectedUri(java.lang.String selectedUri)

### getParentMode

    public byte getParentMode()

### setParentMode

    public void setParentMode(byte parentMode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.